ATEXIT(3)

NAME
atexit - register a function to be called on exit

SYNOPSIS
#include <stdlib.h>
int
atexit(void (*function)(void));

DESCRIPTION
The atexit() function registers the given function to be called at program exit, whether via exit(3) or via return from the program's main(). Functions so registered are called in reverse order; no arguments are passed. At least 32 functions can always be registered, and more are allowed as long as sufficient memory can be allocated.

atexit() is very difficult to use correctly without creating exit(3)-time races. Unless absolutely necessary, please avoid using it.

RETURN VALUES

ERRORS

[ENOMEM]
    No memory was available to add the function to the list. The existing list of functions is unmodified.

SEE ALSO
exit(3)

STANDARDS
The atexit() function conforms to ansiC.